org.apache.datasketches.memory

## Class MemoryBoundsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.datasketches.memory.MemoryException
        - - org.apache.datasketches.memory.MemoryBoundsException

All Implemented Interfaces:
  Serializable

    public class MemoryBoundsException
    extends MemoryException

Specific RuntimeException for bounds violations.

Author:
  Lee Rhodes
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MemoryBoundsException(String details)` The associated operation violated access bounds with required details.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MemoryBoundsException

    public MemoryBoundsException(String details)

The associated operation violated access bounds with required details.

Parameters:
  `details` - of the violation.